
New patches:

[Implement simple version check for libtest DLL
Jack Unrue <jdunrue@gmail.com>**20060212174944] {
hunk ./tests/bindings.lisp 30
-(define-foreign-library libtest
-  (:unix (:or "libtest.so" "libtest32.so"))
-  (:darwin "libtest.so")
-  (:windows "libtest.dll" "msvcrt.dll"))
+;;; load DLL and check version
+(eval-when (:compile-toplevel :load-toplevel :execute)
hunk ./tests/bindings.lisp 33
-;;; Return the directory containing the source when compiling or
-;;; loading this file.  We don't use *LOAD-TRUENAME* because the fasl
-;;; file may be in a different directory than the source with certain
-;;; ASDF extensions loaded.
-(defun load-directory ()
-  (let ((here #.(or *compile-file-truename* *load-truename*)))
-    (make-pathname :directory (pathname-directory here))))
+  (define-foreign-library libtest
+    (:unix (:or "libtest.so" "libtest32.so"))
+    (:darwin "libtest.so")
+    (:windows "libtest.dll" "msvcrt.dll"))
hunk ./tests/bindings.lisp 38
-(let ((*foreign-library-directories* (list (load-directory))))
-  (load-foreign-library 'libtest))
+  ;; Return the directory containing the source when compiling or
+  ;; loading this file.  We don't use *LOAD-TRUENAME* because the fasl
+  ;; file may be in a different directory than the source with certain
+  ;; ASDF extensions loaded.
+  (defun load-directory ()
+    (let ((here #.(or *compile-file-truename* *load-truename*)))
+      (make-pathname :directory (pathname-directory here))))
+
+  (let ((*foreign-library-directories* (list (load-directory))))
+    (load-foreign-library 'libtest))
+
+  (defconstant +required-dll-version+ "060209")
+  (defcvar "dll_version" :string)
+  (unless (string= *dll-version* +required-dll-version+)
+    (error (format nil
+                   "version check failed: expected ~s but libtest reports ~s"
+                   +required-dll-version+
+                   *dll-version*))))
hunk ./tests/libtest.c 60
+
+DLLEXPORT char *         dll_version        = "060209";
}

Context:

[Push CFFI-FEATURES:X86-64 on Allegro/amd64.
James Bielman  <jamesjb@jamesjb.com>**20060211003123] 
[Removed outdated comment from the colorize script.
Luis Oliveira <loliveira@common-lisp.net>**20060210220055] 
[Use slanted instead of italic for VAR in style.css
Luis Oliveira <loliveira@common-lisp.net>**20060210195248] 
[use lispcmt for code comments instead of @r
Stephen Compall <scompall@nocandysw.com>**20060210160507
 
 - Add ROMANCOMMENTS option to manual.
 - Change all instances of @r to @lispcmt.
] 
[make Texinfo @r and colorize play nice
Stephen Compall <scompall@nocandysw.com>**20060210035038
 
 - Comment out master menu entry for explain-foreign-slot-value so
   manual builds again.
 - Add @r to all Lisp comments in manual.
 - (Tutorial-easy_setopt): Revert previous @dots{}; it is literal
   `...', not an ellipsis.  Oops.
 - In colorize-lisp-examples.lisp, remove the output generated by @r
   from Lisp blocks.  Also shove around the process-file code some.
] 
[Remove @r{} in manual's code comments
Luis Oliveira <loliveira@common-lisp.net>**20060210021117
 
 (at least until the colorize script can cope with these)
] 
[More minor doc changes.
Luis Oliveira <loliveira@common-lisp.net>**20060210005707
 
 - @emph -> @var.
 - change var's style to something more sensible in the CSS file.
 - remove (setf callback) from the docs.
 - fix some typos.
] 
[Make :boolean accept typedefs to integer types.
Luis Oliveira <loliveira@common-lisp.net>**20060210003650] 
[Minor documentation changes
Luis Oliveira <loliveira@common-lisp.net>**20060209225109
 
 - Have the Makefile's clean target delete some more of the temporary
   texinfo files.
 - Comment out reference to explain-foreign-slot-value.
] 
[reference prose in Pointers and Strings manual chapters
Stephen Compall <scompall@nocandysw.com>**20060209183938
 
 - (Tutorial-easy_setopt): Use @dots{}.
 - (seealso): Remove old comment about @code formatting.
 - Pointers chapter: Describe the theory of foreign data, dealing with
   pointers per se, and expand on the allocation description.
 - (Strings): A short paragraph by way of introduction.
] 
[Remove note about unsupported FOREIGN-FUNCALL on Lispworks.
James Bielman  <jamesjb@jamesjb.com>**20060206185439] 
[TAG 0.9.0
James Bielman  <jamesjb@jamesjb.com>**20060204082912] 
Patch bundle hash:
50ac839189308f2b530c61d9c88c5cbd7161c0c8
